CREATE TABLE atc_category_refs_ (
    CATEGORY_REF_ID          NUMBER(18, 0) ,
    REFERENCE_NAME           VARCHAR2(800) ,
    CATEGORY_ID              VARCHAR2(120) ,
    CATEGORY_HREF            VARCHAR2(4000),
    CATEGORY_NAME            VARCHAR2(800) ,
    CATEGORY_VERSION         VARCHAR2(80)  ,
    COMP_CATEGORY_ID         NUMBER(18, 0) ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    AT_REFERRED_TYPE         VARCHAR2(800) ,
    VERSION_STATE            NUMBER(2, 0)  ,
    ENTITY_ID                NUMBER(18, 0) ,
    ENTITY_NAME              VARCHAR2(400) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CATEGORY_REF_ID          NUMBER(18, 0) ,
    REFERENCE_NAME           VARCHAR2(800) ,
    CATEGORY_ID              VARCHAR2(120) ,
    CATEGORY_HREF            VARCHAR2(4000),
    CATEGORY_NAME            VARCHAR2(800) ,
    CATEGORY_VERSION         VARCHAR2(80)  ,
    COMP_CATEGORY_ID         NUMBER(18, 0) ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    AT_REFERRED_TYPE         VARCHAR2(800) ,
    ENTITY_ID                NUMBER(18, 0) ,
    ENTITY_NAME              VARCHAR2(400) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    VERSION_STATE            NUMBER(2, 0)  ,
    CONSTRAINT pk_atc_category_refs_ PRIMARY KEY (CATEGORY_REF_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, CATEGORY_REF_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
